Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.smardec.asc.rotate
Class JVerticalLabel

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--javax.swing.JComponent
                        |
                        +--javax.swing.JLabel
                              |
                              +--com.smardec.asc.rotate.JVerticalLabel

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.image.ImageObserver, java.awt.MenuContainer, RotateConstants, java.io.Serializable, javax.swing.SwingConstants

public class JVerticalLabel
extends javax.swing.JLabel
implements RotateConstants

`JVerticalLabel` is a Swing component that represents a vertical label. It extends `JLabel` and supports rotation on ninety degrees clockwise or contraclockwise. `JVerticalLabel` supports the following rotate directions:
`RotateConstants.ROTATE_LEFT` - button rotates 90º contraclockwise in relation to its center from the horizontal position
`RotateConstants.ROTATE_RIGHT` - button rotates 90º clockwise in relation to its center from the horizontal position

Field Summary

Fields inherited from class javax.swing.JLabel
`labelFor`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface com.smardec.asc.rotate.RotateConstants
`ROTATE_LEFT, ROTATE_NONE, ROTATE_RIGHT`

Fields inherited from interface javax.swing.SwingConstants
`BOTTOM, CENTER, EAST, HORIZONTAL, LEADING, LEFT, NEXT, NORTH, NORTH_EAST, NORTH_WEST, PREVIOUS, RIGHT, SOUTH, SOUTH_EAST, SOUTH_WEST, TOP, TRAILING, VERTICAL, WEST`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`JVerticalLabel(javax.swing.Icon image, int rotateDirection)` Creates a `JLabel` instance with the specified image and rotate direction.
`JVerticalLabel(javax.swing.Icon image, int horizontalAlignment, int rotateDirection)` Creates a `JLabel` instance with the specified image, horizontal alignment and rotate direction.
`JVerticalLabel(int rotateDirection)` Creates a `JLabel` instance with no image and with an empty string for the title but with the specified rotate direction.
`JVerticalLabel(java.lang.String text, javax.swing.Icon icon, int horizontalAlignment, int rotateDirection)` Creates a `JLabel` instance with the specified text, image, horizontal alignment and rotate direction.
`JVerticalLabel(java.lang.String text, int rotateDirection)` Creates a `JLabel` instance with the specified text and rotate direction.
`JVerticalLabel(java.lang.String text, int horizontalAlignment, int rotateDirection)` Creates a `JLabel` instance with the specified text, horizontal alignment and rotate direction.

Method Summary
`int` | `getRotateDirection()` Returns rotate direction.
`javax.swing.ImageIcon` | `paintOnIcon()` Returns image on which the label is painted.
`void` | `setRotateDirection(int rotateDirection)` Specifies rotate direction.

Methods inherited from class javax.swing.JLabel
`checkHorizontalKey, checkVerticalKey, getAccessibleContext, getDisabledIcon, getDisplayedMnemonic, getDisplayedMnemonicIndex, getHorizontalAlignment, getHorizontalTextPosition, getIcon, getIconTextGap, getLabelFor, getText, getUI, getUIClassID, getVerticalAlignment, getVerticalTextPosition, imageUpdate, paramString, setDisabledIcon, setDisplayedMnemonic, setDisplayedMnemonic, setDisplayedMnemonicIndex, setHorizontalAlignment, setHorizontalTextPosition, setIcon, setIconTextGap, setLabelFor, setText, setUI, setVerticalAlignment, setVerticalTextPosition, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JVerticalLabel

    public JVerticalLabel(int rotateDirection)

  Creates a `JLabel` instance with no image and with an empty string for the title but with the specified rotate direction. The label is centered vertically in its display area. The label's contents, once set, will be displayed on the leading edge of the label's display area.

Parameters:
  `rotateDirection` - if `RotateConstants.ROTATE_LEFT` then label rotates 90º contraclockwise, and if `RotateConstants.ROTATE_RIGHT` then 90º clockwise

### JVerticalLabel

    public JVerticalLabel(java.lang.String text,
                          int rotateDirection)

  Creates a `JLabel` instance with the specified text and rotate direction. The label is aligned against the leading edge of its display area, and centered vertically.

Parameters:
  `text` - The text to be displayed by the label
  `rotateDirection` - if `RotateConstants.ROTATE_LEFT` then label rotates 90º contraclockwise, and if `RotateConstants.ROTATE_RIGHT` then 90º clockwise

### JVerticalLabel

    public JVerticalLabel(java.lang.String text,
                          int horizontalAlignment,
                          int rotateDirection)

  Creates a `JLabel` instance with the specified text, horizontal alignment and rotate direction. The label is centered vertically in its display area.

Parameters:
  `text` - The text to be displayed by the label
  `horizontalAlignment` - One of the following constants defined in `SwingConstants`: `LEFT`, `CENTER`, `RIGHT`, `LEADING` or `TRAILING`
  `rotateDirection` - if `RotateConstants.ROTATE_LEFT` then label rotates 90º contraclockwise, and if `RotateConstants.ROTATE_RIGHT` then 90º clockwise

### JVerticalLabel

    public JVerticalLabel(javax.swing.Icon image,
                          int rotateDirection)

  Creates a `JLabel` instance with the specified image and rotate direction. The label is centered vertically and horizontally in its display area.

Parameters:
  `image` - The image to be displayed by the label
  `rotateDirection` - if `RotateConstants.ROTATE_LEFT` then label rotates 90º contraclockwise, and if `RotateConstants.ROTATE_RIGHT` then 90º clockwise

### JVerticalLabel

    public JVerticalLabel(javax.swing.Icon image,
                          int horizontalAlignment,
                          int rotateDirection)

  Creates a `JLabel` instance with the specified image, horizontal alignment and rotate direction. The label is centered vertically in its display area.

Parameters:
  `image` - The image to be displayed by the label
  `horizontalAlignment` - One of the following constants defined in `SwingConstants`: `LEFT`, `CENTER`, `RIGHT`, `LEADING` or `TRAILING`
  `rotateDirection` - if `RotateConstants.ROTATE_LEFT` then label rotates 90º contraclockwise, and if `RotateConstants.ROTATE_RIGHT` then 90º clockwise

### JVerticalLabel

    public JVerticalLabel(java.lang.String text,
                          javax.swing.Icon icon,
                          int horizontalAlignment,
                          int rotateDirection)

  Creates a `JLabel` instance with the specified text, image, horizontal alignment and rotate direction. The label is centered vertically in its display area. The text is on the trailing edge of the image.

Parameters:
  `text` - The text to be displayed by the label
  `icon` - The image to be displayed by the label
  `horizontalAlignment` - One of the following constants defined in `SwingConstants`: `LEFT`, `CENTER`, `RIGHT`, `LEADING` or `TRAILING`
  `rotateDirection` - if `RotateConstants.ROTATE_LEFT` then label rotates 90º contraclockwise, and if `RotateConstants.ROTATE_RIGHT` then 90º clockwise

Method Detail

### getRotateDirection

    public int getRotateDirection()

  Returns rotate direction.

  Returns:
    `RotateConstants.ROTATE_LEFT` if label is rotated contraclockwise, `RotateConstants.ROTATE_RIGHT` if label is rotated clockwise.

### setRotateDirection

    public void setRotateDirection(int rotateDirection)

  Specifies rotate direction.

  Parameters:
    `rotateDirection` - if `RotateConstants.ROTATE_LEFT` then label rotates 90º contraclockwise, and if `RotateConstants.ROTATE_RIGHT` then 90º clockwise

### paintOnIcon

    public javax.swing.ImageIcon paintOnIcon()

  Returns image on which the label is painted. Image has dimensions the same as label.

  Returns:
    ImageIcon on which label is painted.

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006 Smardec. All Rights Reserved.